Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 876881 - make merged usr the default configuration
Summary: make merged usr the default configuration
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Profiles (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on: profile-23.0
Blocks: usrmerge, usrmerge-fixes future-profile
  Show dependency tree
 
Reported: 2022-10-12 18:25 UTC by Andreas K. Hüttel
Modified: 2023-12-21 17:51 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel archtester gentoo-dev 2022-10-12 18:25:11 UTC
let's face it, everyone else has already moved. maintenance will only get harder from there.

suggestion: with the next profile version, the "default" setting (default/linux/XX.X/amd64) is a merged usr profile, while the old layout is still present as a split-usr feature.

that would also move the profile semantics into the same direction as the useflag.
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-10-12 18:29:18 UTC
I'm not sure it's worth the hassle of this one. We'll have just got everyone onto merged-usr profiles (which have already been created) and then be suggesting a flip.
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-10-13 18:00:55 UTC
(In reply to Sam James from comment #1)
> I'm not sure it's worth the hassle of this one. We'll have just got everyone
> onto merged-usr profiles (which have already been created) and then be
> suggesting a flip.

After discussing in #gentoo-dev and floppym's intention to strip "merged-usr" from the next generation of systemd profiles, I withdraw my concerns. Obviously I still want to see separate split-usr profiles exist, but that's not relevant to this part.